Package ru.bitel.bgbilling.modules.smarthouse.common.bean

# Class SmartHouseOption

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.smarthouse.common.bean.SmartHouseOption

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class SmartHouseOption extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SmartHouseOption()`
  `SmartHouseOption(int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `int`
  `getNpayModuleId()`
  `int`
  `getNpayServiceId()`
  `int`
  `getSmarthouseServiceId()`
  `SmartHouseOption`
  `setComment(String comment)`
  `SmartHouseOption`
  `setNpayModuleId(int npayModuleId)`
  `SmartHouseOption`
  `setNpayServiceId(int npayServiceId)`
  `SmartHouseOption`
  `setSmarthouseServiceId(int smarthouseServiceId)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### SmartHouseOption

    public SmartHouseOption()

  - ### SmartHouseOption

    public SmartHouseOption(int id, String title)

- ## Method Details

  - ### getComment

    public String getComment()

  - ### getNpayModuleId

    public int getNpayModuleId()

  - ### getNpayServiceId

    public int getNpayServiceId()

  - ### getSmarthouseServiceId

    public int getSmarthouseServiceId()

  - ### setComment

    public SmartHouseOption setComment(String comment)

  - ### setNpayModuleId

    public SmartHouseOption setNpayModuleId(int npayModuleId)

  - ### setNpayServiceId

    public SmartHouseOption setNpayServiceId(int npayServiceId)

  - ### setSmarthouseServiceId

    public SmartHouseOption setSmarthouseServiceId(int smarthouseServiceId)